hpp-constraints: hpp::constraints::ScalarMultiply< RhsValue > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
hpp::constraints::ScalarMultiply< RhsValue > Class Template Reference
Symbolic calculus

Multiplication of an expression by a scalar. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::ScalarMultiply< RhsValue >:
[legend]
Collaboration diagram for hpp::constraints::ScalarMultiply< RhsValue >:
[legend]

## Public Types
typedef CalculusBase< ScalarMultiply< RhsValue > > | Parent_t
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t

## Public Member Functions
| HPP_CONSTRAINTS_CB_CREATE2 (ScalarMultiply, const typename Traits< value_type >::Ptr_t &, const typename Traits< RhsValue >::Ptr_t &) ScalarMultiply()
| ScalarMultiply (const CalculusBase< ScalarMultiply > &other)
| ScalarMultiply (const typename Traits< value_type >::Ptr_t &scalar, const typename Traits< RhsValue >::Ptr_t &rhs)
void | impl_value (const ConfigurationIn_t arg)
void | impl_jacobian (const ConfigurationIn_t arg)
void | invalidate ()
Public Member Functions inherited from hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const JacobianMatrix &jacobian)
| CalculusBase (const CalculusBase &o)
const vector3_t & | value () const
const JacobianMatrix & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
Expression< value_type, RhsValue >::Ptr_t | e_
Protected Attributes inherited from hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >
vector3_t | value_
JacobianMatrix | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Friends
class | Expression< value_type, RhsValue >

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >
void | init (const typename Traits< ScalarMultiply< RhsValue > >::Ptr_t &ptr)

## Detailed Description

template<typename RhsValue>
class hpp::constraints::ScalarMultiply< RhsValue >

Multiplication of an expression by a scalar.

## Member Typedef Documentation

## ◆ Parent_t

template<typename RhsValue >

typedef CalculusBase<ScalarMultiply<RhsValue> > hpp::constraints::ScalarMultiply< RhsValue >::Parent_t

## Constructor & Destructor Documentation

## ◆ ScalarMultiply() [1/2]

template<typename RhsValue >

hpp::constraints::ScalarMultiply< RhsValue >::ScalarMultiply | ( | const CalculusBase< ScalarMultiply< RhsValue > > & | other | ) |
| inline

## ◆ ScalarMultiply() [2/2]

template<typename RhsValue >

hpp::constraints::ScalarMultiply< RhsValue >::ScalarMultiply | ( | const typename Traits< value_type >::Ptr_t & | scalar,
|  | const typename Traits< RhsValue >::Ptr_t & | rhs )
| inline

## Member Function Documentation

## ◆ HPP_CONSTRAINTS_CB_CREATE2()

template<typename RhsValue >

hpp::constraints::ScalarMultiply< RhsValue >::HPP_CONSTRAINTS_CB_CREATE2 | ( | ScalarMultiply< RhsValue > | ,
|  | const typename Traits< value_type >::Ptr_t & | ,
|  | const typename Traits< RhsValue >::Ptr_t & | )
| inline

## ◆ impl_jacobian()

template<typename RhsValue >

void hpp::constraints::ScalarMultiply< RhsValue >::impl_jacobian | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ impl_value()

template<typename RhsValue >

void hpp::constraints::ScalarMultiply< RhsValue >::impl_value | ( | const ConfigurationIn_t | arg | ) |
| inline

## ◆ invalidate()

template<typename RhsValue >

void hpp::constraints::ScalarMultiply< RhsValue >::invalidate | ( |  | ) |
| inline virtual

Reimplemented from hpp::constraints::CalculusBase< ScalarMultiply< RhsValue > >.

## Friends And Related Symbol Documentation

## ◆ Expression< value_type, RhsValue >

template<typename RhsValue >

friend class Expression< value_type, RhsValue >
| friend

## Member Data Documentation

## ◆ e_

template<typename RhsValue >

Expression<value_type,RhsValue>::Ptr_t hpp::constraints::ScalarMultiply< RhsValue >::e_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh